Subject: Re: wstring, how?
From: "Gerrit P. Haase" <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: Jamiil_Abdulahii_Alkadir Escalante <[email-masked]>
Date: Sun, 24 Oct 2004 00:31:00 +0200

Larry Hall wrote:

> At 07:44 PM 10/22/2004, you wrote:
> 
>>#include <string>
>>class{
>> std::wstring wstr;   //<<== syntax error before ; token
>>};
>>
>>g++ -Wall -g -c program.exe -o filename.cpp
>>
>>Can someone tell me what I am dong wrong or why I get this error message?
> 
> 
> 
> 
> Presuming you're using the latest Cygwin gcc/g++ release (3.3.3), take a 
> look at /usr/include/g++-3/string and I think you'll find your answer.
> You can add the wstring typedef yourself and then things compile fine, 
> assuming you fix the 'typo' of the missing class name.
> 
> Gerrit, do you know why <string> has the wstring typedef commented out?

wchar_t and wstring are not in newlib and so they are not in cygwin.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/